Architektura: Cięcie panelu

From FreeCAD Documentation
Revision as of 16:27, 4 May 2024 by Kaktus (talk | contribs) (Created page with "==Opcje==")

Architektura: Cięcie panelu

Lokalizacja w menu
Architektura → Narzędzia panelu → Cięcie panelu
Środowisko pracy
Architektura, CAM
Domyślny skrót
P C
Wprowadzono w wersji
0.17
Zobacz także
Panel, Arkusz panelu, Zagnieżdżanie

Opis

Narzędzie to tworzy w dokumencie 3D płaski widok 2D panelu, który może zostać włączony do arkusza lub bezpośrednio wyeksportowany do formatu DXF. Obiekty Cięcia panelu są również obsługiwane przez środowisko pracy CAM.

Użycie

  1. Wybierz jeden lub więcej obiektów panelu.
  2. Naciśnij przycisk Cięcie panelu lub naciśnij P, a następnie C.
  3. Dostosuj żądane właściwości.

Opcje

  • If the panel is not flat (corrugated, for example), the relief won't appear in the Panel cut. This tool is useful mainly for flat panels
  • The panel cut can display a tag. This tag can be a custom line of text or can automatically show the Tag, Label or Description of its linked Panel.
  • To be useful for CNC machining, the tag should be written using a stick font, where letters are simple polylines that are easy for the machine to follow. Upon creation, the Panel Cut object will automatically use the font specified in Edit → Preferences → Draft → Texts and Dimensions → Default ShapeString font file
  • Double-clicking on the panel cut in the tree view after it is created allows you to enter edit mode and modify the position of the tag
  • When you need to layout different Panel Cuts together, Panel Cuts can display a margin, that is useful to make sure a certain space is always present between a cut and another

Properties

Data

  • DANESource: The Arch Panel object shown by this Cut
  • DANETag Text: The text to display. Can be %tag%, %label% or %description% to display the panel tag or label
  • DANETag Size: The size of the tag text
  • DANETag Position: The position of the tag text. Keep (0,0,0) for automatic center position
  • DANETag Rotation: The rotation of the tag text
  • DANEFont File: The font of the tag text
  • DANEMake Face: If True, the panel is a Part Face, otherwise a Part Wire

View

  • WIDOKMargin: A margin that can be displayed outside the panel cut shape
  • WIDOKShow Margin: Turns the display of the margin on/off

Scripting

See also: Arch API and FreeCAD Scripting Basics.

The Panel Cut tool can be used in macros and from the Python console by using the following function:

View = makePanelCut(panel, name="PanelView")
  • Creates a View object (2D projection) from the existing panel.

Example:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(500, 0, 0)
p3 = FreeCAD.Vector(500, 50, 0)
p4 = FreeCAD.Vector(550, 50, 0)
p5 = FreeCAD.Vector(600, 0, 0)
p6 = FreeCAD.Vector(1000, 0, 0)
p7 = FreeCAD.Vector(1000, 400, 0)
p8 = FreeCAD.Vector(600, 400, 0)
p9 = FreeCAD.Vector(600, 350, 0)
p10 = FreeCAD.Vector(550, 350, 0)
p11 = FreeCAD.Vector(500, 400, 0)
p12 = FreeCAD.Vector(0, 400, 0)

Wire = Draft.makeWire([p1, p2, p3, p4, p5, p6,
                       p7, p8, p8, p9, p10, p11, p12], closed=True)
Panel = Arch.makePanel(Wire, thickness=36)
FreeCAD.ActiveDocument.recompute()

View = Arch.makePanelCut(Panel)
View.ViewObject.LineWidth = 3
FreeCAD.ActiveDocument.recompute()

Tutorials